Subject: Re: [IETFMIBS] [OPS-AREA] Updating a published MIB

From: t.petch <[email-masked]>
Date: Thu, 1 Aug 2013 09:50:21 +0100

Olle

You asked whether a RFC4780-bis would be better in RAI or Ops.

I see that the underlying sipcore I-D has been rejected by the IESG with
a variety of COMMENT and DISCUSS, but I cannot see therein any reference
to this issue, of needing to update the MIB module.  Which surprises me;
I might have expected an Ops AD to pick up on this and call for a
normative reference to a RFC4780-bis.  In which case, it would be the
sipcore WG that would have the vested interest in making the RFC4780-bis
happen so that is where I would do the work, with copies to those with
additional skills in MIB modules as required.

Or the updated MIB module could go in the existing I-D, which would be
logical and make it easy to find and cut down on the paperwork and ...
lots of good things.

Tom Petch

----- Original Message -----
From: "Olle E. Johansson" <[email-masked]>
To: <[email-masked]>
Cc: "'t.petch'" <[email-masked]>; <[email-masked]>;
<[email-masked]>
Sent: Tuesday, July 30, 2013 2:59 PM

30 jul 2013 kl. 11:00 skrev "Adrian Farrel" <[email-masked]>:

> [Adding [email-masked]]
>
> To add to Tom's mutterings...
>
> This is why we should think more often and harder about using
IANA-maintained
> TCs.

THanks you for all answers! I will read the documentes referred to and
try to make an update.
Would that be processed in OPS or RAI areas?

Regards,
/O

>
> Adrian
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
Behalf
>> Of t.petch
>> Sent: 30 July 2013 09:54
>> To: Olle E. Johansson; [email-masked]
>> Subject: Re: [OPS-AREA] Updating a published MIB
>>
>> You will find a three page description of what you can and cannot do
in
>> RFC4181 pp.28-31. This refers back to RFC2578 which is the
authoritative
>> statement of what can and cannot be done.  And then there is the
>> [email-masked]
>> mailing list which is where most of those with expertise in MIB
modules
>> lurk.
>>
>> No, it is not obvious:-(
>>
>> Tom Petch
>>
>> ----- Original Message -----
>> From: "Olle E. Johansson" <[email-masked]>
>> To: <[email-masked]>
>> Sent: Monday, July 29, 2013 8:52 PM
>>
>> The SIP MIB in RFC 4780 contains a SipTCTransportProtocol entry. The
>> SIPcore group is about to add another transport (websockets), which
>> means that we will have to update RFC 4780 with a new bit for
websocket
>> transports.
>>
>> I've asked around and it seems to be a lack of information about the
>> process of updating a published MIB. The IANA is not involved. And
>> reading the wiki entry on OPS and MIB doctors seems to contain a lot
of
>> information about *new* MIBs but nothing on updates.
>>
>> So my question is what the process is for changing parameters or
adding
>> new OIDs.
>>
>> Thanks for your response! Apologies if I did miss something obvious.
>>
>> /Olle

---
* Olle E Johansson - [email-masked]
* Cell phone +46 70 593 68 51, Office +46 8 96 40 20, Sweden